OpenEmu
=======

![alt text](http://openemu.org/img/intro-md.png "OpenEmu Screenshot")

OpenEmu is an open source project whose purpose is to bring macOS game emulation into the realm of first class citizenship. The project leverages modern macOS technologies, such as Cocoa, Core Animation with Quartz Composer, and other third-party libraries. One third-party library example is Sparkle, which is used for auto-updating. OpenEmu uses a modular architecture, allowing for game-engine plugins, allowing OpenEmu to support a host of different emulation engines and back ends while retaining the familiar macOS native front end.

Currently OpenEmu can load the following game engines as plugins:

* Atari 2600 ([Stella](http://sourceforge.net/projects/stella/))
* Atari 5200 ([Atari800](http://sourceforge.net/projects/atari800/))
* Atari 7800 ([ProSystem](https://github.com/raz0red/wii7800))
* Atari Lynx ([Mednafen](http://mednafen.sourceforge.net/))
* ColecoVision ([CrabEmu](http://crabemu.sourceforge.net/))
* Famicom Disk System ([Nestopia](http://nestopia.sourceforge.net/))
* Game Boy / Game Boy Color ([Gambatte](https://github.com/sinamas/gambatte))
* Game Boy Advance ([mGBA](https://mgba.io/))
* Game Gear ([Genesis Plus](https://github.com/ekeeke/Genesis-Plus-GX))
* Intellivision ([Bliss](https://github.com/jeremiah-sypult/BlissEmu))
* NeoGeo Pocket ([Mednafen](http://mednafen.sourceforge.net/))
* Nintendo (NES) / Famicom ([FCEUX](http://sourceforge.net/projects/fceultra/), [Nestopia](http://nestopia.sourceforge.net/))
* Nintendo 64 ([Mupen64Plus](https://github.com/mupen64plus))
* Nintendo DS ([DeSmuME](http://desmume.org/))
* Odyssey² / Videopac+ ([O2EM](http://sourceforge.net/projects/o2em/))
* PC-FX ([Mednafen](http://mednafen.sourceforge.net/))
* SG-1000 ([Genesis Plus](https://github.com/ekeeke/Genesis-Plus-GX))
* Sega 32X ([picodrive](https://github.com/notaz/picodrive))
* Sega CD / Mega CD ([Genesis Plus](https://github.com/ekeeke/Genesis-Plus-GX))
* Sega Genesis / Mega Drive ([Genesis Plus](https://github.com/ekeeke/Genesis-Plus-GX))
* Sega Master System ([Genesis Plus](https://github.com/ekeeke/Genesis-Plus-GX))
* Sega Saturn ([Mednafen](http://mednafen.sourceforge.net/))
* Sony PSP ([PPSSPP](https://github.com/hrydgard/ppsspp))
* Sony PlayStation ([Mednafen](http://mednafen.sourceforge.net/))
* Super Nintendo (SNES) ([Higan](http://byuu.org/), [Snes9x](https://github.com/snes9xgit/snes9x))
* TurboGrafx-16 / PC Engine ([Mednafen](http://mednafen.sourceforge.net/))
* TurboGrafx-CD / PCE-CD ([Mednafen](http://mednafen.sourceforge.net/))
* Vectrex ([VecXGL](http://jum.pdroms.de/emulators/emul.html))
* Virtual Boy ([Mednafen](http://mednafen.sourceforge.net/))
* WonderSwan ([Mednafen](http://mednafen.sourceforge.net/))

Minimum Requirements
--------------------

macOS 10.14 Mojave
